Skip to main content
GET
/
vq
/
analyst
/
{symbol}
/
ratings
Get recent analyst rating changes
curl --request GET \
  --url https://api.vectrade.io/v1/vq/analyst/{symbol}/ratings \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "analystName": "<string>",
      "firm": "<string>",
      "action": "initiated",
      "fromRating": "<string>",
      "toRating": "<string>",
      "target": 123,
      "publishedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vectrade.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

symbol
string
required

Query Parameters

limit
integer
default:20

Response

List of rating changes

data
object[]